(function () {
    'use strict';

    angular.module('myApp.view2', ['ngRoute'])
            .controller('View2Ctrl', View2Ctrl)
            .config(['$routeProvider', function ($routeProvider) {
                    $routeProvider.when('/view2', {
                        templateUrl: 'view2/view2.html',
                        controller: 'View2Ctrl'
                    });
                }]);

    View2Ctrl.$inject = ['$scope'];

    function View2Ctrl($scope) {
        $scope.openDialog = openDialog;               

        function openDialog() {
            var dialogObj = angular.element('#dialog').data('ejDialog');            
            dialogObj.open();
        }              
    }

})();